#ifndef EVENT_H
#define EVENT_H

#include <vector>
#include <string>

#include "TObject.h"
#include "TLorentzVector.h"
#include "TObjArray.h"
#include "TClonesArray.h"

class Track : public TObject
{
	public:
		int ID;
		TLorentzVector mom;
		ClassDef(Track, 1) //Track
};

class Event : public TObject
{
    public:
		Event();
		int       eRun;     // run number

		TLorentzVector beam;
		Track particle;
//		std::vector<std::string> names;
//		std::vector<Track> tracks;
		TObjArray* particles;
		TClonesArray* tracks;

	ClassDef(Event, 1)
};

#endif

