#include <iostream>
#include "TTree.h"
#include "TFile.h"
#include "Event.h"

int main(void)
{
	TFile* f = new TFile("test.root","RECREATE");
	TTree* tree;
	Event* event;

	tree = new TTree("Test","Test tree");
	event = new Event();
	tree->Branch("Event","Event",&event);

	for(int i = 0; i<100; i++){
		event->eRun = i;
		TLorentzVector a;
		a.SetXYZM(1,2,3,20);
		event->beam = a;

		event->particle.ID = i%10;
		event->particle.mom.SetXYZM(7,8,9,10);

		event->tracks->Clear();
		Track *t;
		(*event->tracks)[0] = new Track();
		(*event->tracks)[1] = new Track();
		(*event->tracks)[2] = new Track();
		((Track*)((*event->tracks)[0]))->mom.SetXYZM(1,1,1,1);
		((Track*)((*event->tracks)[1]))->mom.SetXYZM(1,1,1,1);
		((Track*)((*event->tracks)[2]))->mom.SetXYZM(1,1,1,1);
		t = new Track();
		(*event->particles)[0] = t;
		t = new Track();
		(*event->particles)[1] = t;
		t = new Track();
		(*event->particles)[2] = t;
		((Track*)((*event->particles)[0]))->mom.SetXYZM(1,1,1,1);
		((Track*)((*event->particles)[1]))->mom.SetXYZM(1,1,1,1);
		((Track*)((*event->particles)[2]))->mom.SetXYZM(1,1,1,1);

		tree->Fill();
	}
	tree->Write();
	f->Close();
}
