#include "TFile.h"
#include "TTree.h"
#include "TH1.h"
#include "TROOT.h"

int main(void)
{
	TFile* f= new TFile("test.root");
	TTree* t = (TTree*)gROOT->FindObject("Test");
	TFile* f2 = new TFile("out.root","RECREATE");

	t->MakeProxy("Test_proxy_1","Test1.cc");
	t->Process("Test_proxy_1.h+");
	TH1* h1 = (TH1*)gROOT->FindObject("htemp")->Clone("h1");
	h1->Write();

	t->MakeProxy("Test_proxy_2","Test2.cc");
	t->Process("Test_proxy_2.h+");
	TH1* h2 = (TH1*)gROOT->FindObject("htemp")->Clone("h2");
	h2->Write();

	t->MakeProxy("Test_proxy_3","Test3.cc");
	t->Process("Test_proxy_3.h+");
	TH1* h3 = (TH1*)gROOT->FindObject("htemp")->Clone("h3");
	h3->Write();

	f->Close();
	f2->Close();
}
